## python-deadlib 3.13.0

=== requirements.txt ===
build
twine

=== debian/changelog ===
python-deadlib (3.13.0-5) unstable; urgency=medium

  [ Colin Watson ]
  * Switch to upstream salsa-ci-team/pipeline

  [ Emmanuel Arias ]
  * d/control: Add python3-audioop-lts as Dependency of
    python3-standard-aifc.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 01 Jan 2025 21:50:34 -0300

python-deadlib (3.13.0-4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Catch errors during build
  * Trim d/rules
  * Depend on existing "python3-pyasyncore"

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Dec 2024 17:39:15 +0000

python-deadlib (3.13.0-3) unstable; urgency=medium

  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 20 Dec 2024 22:18:52 -0300

python-deadlib (3.13.0-2) unstable; urgency=medium

  * Remove telnetlib from package.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 16 Dec 2024 21:12:04 -0300

python-deadlib (3.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: 1087932)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 20 Nov 2024 13:08:17 -0300

=== debian/control ===
Source: python-deadlib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pyasyncore,
               python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/youknowone/python-deadlib
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-deadlib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-deadlib

Package: python3-standard-chunk
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: chunk Standard Python Lib (Python 3)
 chunk was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-aifc
Architecture: all
Depends: python3-audioop-lts,
         python3-standard-chunk,
         ${misc:Depends},
         ${python3:Depends},
Description: aifc Standard Python Lib (Python 3)
 aifc was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-asynchat
Architecture: all
Depends: python3-pyasyncore,
         ${misc:Depends},
         ${python3:Depends},
Description: asynchat Standard Python Lib (Python 3)
 asynchat was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-imghdr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: imghdr Standard Python Lib (Python 3)
 imghdr was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-mailcap
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: mailcap Standard Python Lib (Python 3)
 mailcap was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-nntplib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: nntplib Standard Python Lib (Python 3)
 nntplib was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-pipes
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: pipes Standard Python Lib (Python 3)
 pipes was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-smtpd
Architecture: all
Depends: python3-pyasyncore,
         ${misc:Depends},
         ${python3:Depends},
Description: smtpd Standard Python Lib (Python 3)
 smtpd was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-sndhdr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: sndhdr Standard Python Lib (Python 3)
 sndhdr was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-sunau
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: sunau Standard Python Lib (Python 3)
 sunau was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-uu
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: uu Standard Python Lib (Python 3)
 uu was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

Package: python3-standard-xdrlib
Architecture: all
Depends: python3-pyasyncore,
         ${misc:Depends},
         ${python3:Depends},
Description: xdrlib Standard Python Lib (Python 3)
 xdrlib was part of the Standard Python Lib. Now it was removed from
 Python. See PEP-594.

=== debian/rules ===
#!/usr/bin/make -f

export STANDARD_MODULES=chunk aifc asynchat imghdr mailcap nntplib pipes smtpd sndhdr sunau uu xdrlib

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	set -e; for f in $(STANDARD_MODULES); do \
		echo "Building $$f" ; \
		dh_auto_build -- --dir $$f; \
		find $(CURDIR)/.pybuild/ -name '*.whl' -delete;\
	done

execute_after_dh_auto_clean:
	find $(CURDIR) -type d -name 'build' -exec rm -R {} + ;

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/youknowone/python-deadlib/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
